/**
 * @license
 * Copyright 2018 Google LLC
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * =============================================================================
 */

const SCAVENGER_CLASSES = {
     0: 'kimono',
     1: 'truck',
     2: 'plunger',
     3: 'desk',
     4: 'school bus',
     5: 'toaster',
     6: 'shovel',
     7: 'football helmet',
     8: 'building',
     9: 'fire engine',
    10: 'cowboy boot',
    11: 'sleeping bag',
    12: 'airship',
    13: 'spoon',
    14: 'plane',
    15: 'sliding door',
    16: 'china cabinet',
    17: 'vault',
    18: 'bullet train',
    19: 'microwave',
    20: 'theater curtain',
    21: 'barn',
    22: 'oscilloscope',
    23: 'pedestal',
    24: 'lampshade',
    25: 'gondola',
    26: 'valley',
    27: 'zucchini',
    28: 'knot',
    29: 'hot pot',
    30: 'clock',
    31: 'envelope',
    32: 'tray',
    33: 'bassinet',
    34: 'cannon',
    35: 'menu',
    36: 'mouse',
    37: 'stove',
    38: 'barbell',
    39: 'bath towel',
    40: 'handkerchief',
    41: 'pool table',
    42: 'motor scooter',
    43: 'goblet',
    44: 'stone wall',
    45: 'microphone',
    46: 'washer',
    47: 'hand',
    48: 'gown',
    49: 'tennis ball',
    50: 'wig',
    51: 'bathtub',
    52: 'totem pole',
    53: 'shower curtain',
    54: 'broom',
    55: 'measuring cup',
    56: 'mountain tent',
    57: 'table lamp',
    58: 'barrow',
    59: 'golf ball',
    60: 'broccoli',
    61: 'bed',
    62: 'electric fan',
    63: 'flute',
    64: 'tobacco shop',
    65: 'crock pot',
    66: 'harmonica',
    67: 'shoe shop',
    68: 'water jug',
    69: 'ping pong ball',
    70: 'lipstick',
    71: 'dining table',
    72: 'banjo',
    73: 'confectionery',
    74: 'watch',
    75: 'crossword puzzle',
    76: 'modem',
    77: 'saltshaker',
    78: 'tile roof',
    79: 'refrigerator',
    80: 'mailbox',
    81: 'pole',
    82: 'cello',
    83: 'flagpole',
    84: 'water tower',
    85: 'barber chair',
    86: 'yawl',
    87: 'soap dispenser',
    88: 'stretcher',
    89: 'steel drum',
    90: 'bottlecap',
    91: 'bathing cap',
    92: 'comic book',
    93: 'go kart',
    94: 'dam',
    95: 'parallel bars',
    96: 'hand blower',
    97: 'scoreboard',
    98: 'space shuttle',
    99: 'lakeside',
   100: 'ocarina',
   101: 'crutch',
   102: 'cardigan',
   103: 'milk can',
   104: 'pencil box',
   105: 'home theater',
   106: 'feather boa',
   107: 'solar dish',
   108: 'dial telephone',
   109: 'lighter',
   110: 'light bulb',
   111: 'sewing machine',
   112: 'tv',
   113: 'toilet tissue',
   114: 'combination lock',
   115: 'cloak',
   116: 'bowl',
   117: 'croquet ball',
   118: 'container ship',
   119: 'dogsled',
   120: 'lock',
   121: 'potters wheel',
   122: 'plug',
   123: 'horizontal bar',
   124: 'castle',
   125: 'rocking chair',
   126: 'balloon',
   127: 'ramen',
   128: 'crayfish',
   129: 'mixing bowl',
   130: 'oboe',
   131: 'nail',
   132: 'hamburger',
   133: 'patio',
   134: 'spindle',
   135: 'cucumber',
   136: 'window shade',
   137: 'street sign',
   138: 'carousel',
   139: 'rain barrel',
   140: 'barrel',
   141: 'carton',
   142: 'baby bottle',
   143: 'screw',
   144: 'lion',
   145: 'crate',
   146: 'volleyball',
   147: 'flower',
   148: 'shirt',
   149: 'koala',
   150: 'necklace',
   151: 'book',
   152: 'sunglasses',
   153: 'hair spray',
   154: 'bicycle',
   155: 'buckle',
   156: 'shopping basket',
   157: 'dog',
   158: 'cellphone',
   159: 'rubber eraser',
   160: 'golfcart',
   161: 'christmas stocking',
   162: 'hourglass',
   163: 'hammer',
   164: 'pop bottle',
   165: 'candle',
   166: 'spotlight',
   167: 'pickup',
   168: 'pill bottle',
   169: 'can opener',
   170: 'freight car',
   171: 'wardrobe',
   172: 'maraca',
   173: 'matchstick',
   174: 'ant',
   175: 'park bench',
   176: 'teapot',
   177: 'camera',
   178: 'reel',
   179: 'space heater',
   180: 'bow',
   181: 'racket',
   182: 'perfume',
   183: 'scale',
   184: 'hotdog',
   185: 'basketball',
   186: 'sea urchin',
   187: 'umbrella',
   188: 'coral reef',
   189: 'tripod',
   190: 'strawberry',
   191: 'sushi',
   192: 'chime',
   193: 'bus',
   194: 'snowplow',
   195: 'icecream',
   196: 'soccer ball',
   197: 'canoe',
   198: 'velvet',
   199: 'police van',
   200: 'vending machine',
   201: 'fireboat',
   202: 'mailbag',
   203: 'electric locomotive',
   204: 'seashore',
   205: 'glove',
   206: 'cup',
   207: 'plate rack',
   208: 'car wheel',
   209: 'cuirass',
   210: 'projector',
   211: 'mashed potato',
   212: 'espresso maker',
   213: 'pizza',
   214: 'tricycle',
   215: 'steam locomotive',
   216: 'miniskirt',
   217: 'hoopskirt',
   218: 'baseball',
   219: 'volcano',
   220: 'dishwasher',
   221: 'piggy bank',
   222: 'orange',
   223: 'garbage truck',
   224: 'espresso',
   225: 'corn',
   226: 'iron',
   227: 'honeycomb',
   228: 'trombone',
   229: 'apron',
   230: 'ski mask',
   231: 'tree',
   232: 'joystick',
   233: 'flashlight',
   234: 'punching bag',
   235: 'mask',
   236: 'ladybug',
   237: 'burrito',
   238: 'chain',
   239: 'dumbbell',
   240: 'lotion',
   241: 'wallet',
   242: 'lens cap',
   243: 'medicine chest',
   244: 'planetarium',
   245: 'artichoke',
   246: 'snowmobile',
   247: 'guacamole',
   248: 'odometer',
   249: 'screwdriver',
   250: 'mortarboard',
   251: 'cassette player',
   252: 'paintbrush',
   253: 'birdhouse',
   254: 'car',
   255: 'radio',
   256: 'hat',
   257: 'safety pin',
   258: 'fountain',
   259: 'tiger',
   260: 'pinwheel',
   261: 'restaurant',
   262: 'bib',
   263: 'display',
   264: 'cabinet',
   265: 'sundial',
   266: 'tow truck',
   267: 'stage',
   268: 'whistle',
   269: 'mobile home',
   270: 'scorpion',
   271: 'fish',
   272: 'barometer',
   273: 'bucket',
   274: 'jigsaw puzzle',
   275: 'key',
   276: 'pick',
   277: 'band aid',
   278: 'power drill',
   279: 'speedboat',
   280: 'scissors',
   281: 'lemon',
   282: 'mushroom',
   283: 'french horn',
   284: 'bubble',
   285: 'pineapple',
   286: 'wool',
   287: 'shopping cart',
   288: 'gong',
   289: 'tractor',
   290: 'pajama',
   291: 'scarf',
   292: 'cd player',
   293: 'marimba',
   294: 'crib',
   295: 'airliner',
   296: 'cat',
   297: 'ski',
   298: 'laptop',
   299: 'jack o lantern',
   300: 'bread',
   301: 'frying pan',
   302: 'abacus',
   303: 'butcher shop',
   304: 'fries',
   305: 'streetcar',
   306: 'parking meter',
   307: 'shower cap',
   308: 'paper towel',
   309: 'oil filter',
   310: 'pot',
   311: 'beer',
   312: 'greenhouse',
   313: 'strainer',
   314: 'bee',
   315: 'vase',
   316: 'forklift',
   317: 'guitar',
   318: 'pomegranate',
   319: 'backpack',
   320: 'donut',
   321: 'crane',
   322: 'prayer rug',
   323: 'dungeness crab',
   324: 'corkscrew',
   325: 'snorkel',
   326: 'cauliflower',
   327: 'sarong',
   328: 'pencil sharpener',
   329: 'sax',
   330: 'ladle',
   331: 'pants',
   332: 'slot',
   333: 'house',
   334: 'parachute',
   335: 'doormat',
   336: 'window screen',
   337: 'bird',
   338: 'balance beam',
   339: 'coil',
   340: 'giant panda',
   341: 'pillow',
   342: 'disk brake',
   343: 'pirate',
   344: 'aircraft carrier',
   345: 'knee pad',
   346: 'car mirror',
   347: 'trash can',
   348: 'hair slide',
   349: 'pen',
   350: 'door',
   351: 'safe',
   352: 'cassette',
   353: 'swing',
   354: 'plate',
   355: 'banana',
   356: 'crash helmet',
   357: 'drum',
   358: 'face powder',
   359: 'diaper',
   360: 'poncho',
   361: 'quilt',
   362: 'pitcher',
   363: 'toyshop',
   364: 'coat',
   365: 'binoculars',
   366: 'acorn',
   367: 'swimming trunks',
   368: 'rotisserie',
   369: 'abaya',
   370: 'ballplayer',
   371: 'folding chair',
   372: 'water bottle',
   373: 'taco',
   374: 'starfish',
   375: 'spider web',
   376: 'cash machine',
   377: 'hard disc',
   378: 'manhole cover',
   379: 'hamper',
   380: 'letter opener',
   381: 'oxygen mask',
   382: 'cradle',
   383: 'newspaper',
   384: 'groom',
   385: 'radiator',
   386: 'plastic bag',
   387: 'traffic light',
   388: 'bell pepper',
   389: 'cliff',
   390: 'piano',
   391: 'gas pump',
   392: 'sock',
   393: 'swab',
   394: 'magnetic compass',
   395: 'headphones',
   396: 'worm fence',
   397: 'organ',
   398: 'cocktail shaker',
   399: 'snail',
   400: 'slug',
   401: 'hook',
   402: 'shoe',
   403: 'mosque',
   404: 'toilet',
   405: 'vacuum',
   406: 'harp',
   407: 'scuba diver',
   408: 'wine',
   409: 'puck',
   410: 'chiffonier',
   411: 'accordion',
   412: 'remote control',
   413: 'printer',
   414: 'violin',
   415: 'magnifying glass',
   416: 'sofa',
   417: 'sunscreen',
   418: 'sandbar',
   419: 'steel arch bridge',
   420: 'spatula',
   421: 'keyboard',
   422: 'switch',
   423: 'rugby ball',
};
